#include <bits/stdc++.h>
using namespace std;

int f(vector<int> glas, int n, int x)
{
    
    int l = 0;
    int d = 0;
    int poz = 0;
    for(int i = 1; i < n+1; i++){
        if(glas[i] < x)
            l++;
        else if(glas[i] > x)
            d++;
        else
            poz = glas[i];
    }
    int res = 0;
        if(l > d && n % 2!=0){
            res = l - d - 1;
        }
        else if(l > d && n % 2 == 0){
           res = l - d;
        }
         else if(d > l && n % 2!=0)
            res = d - l;
        else if(d > l && n % 2==0)
            res = d - l;
        else
            return res;

        }
    
        
    
        


int main()
{
    int n, q;
    cin >> n >> q;
    vector<int> glas(n+1);
    for(int i = 1; i < n+1; i++){
        cin >> glas[i];
    }
    vector<int> upiti(q+1);
    for(int i = 1; i <q; i++){
        cin >> upiti[i];
    }
    sort(glas.begin(), glas.end());
    for(int i = 1; i < q+1; i++){
        int x = upiti[i];
        cout << f(glas, n, x) << endl;
    }
    return 0;
}